#!/bin/sh

# adv770 ver 1.70
# 0.0.1 - GuestToo - Jul 15, 2005

URL=http://www.mipmip.dsl.pipex.com/adv770/adv770x.tgz

MSG=`which gxmessage` || MSG=xmessage

$MSG -buttons "Continue:21,Cancel" -center -title "adv770" "Connect to the internet
then click Continue"
[ $? -eq 21 ] || exit

rxvt -sl 32000 -e wget -t 10 --waitretry=20 -c $URL
if ! gunzip -t adv770x.tgz
then
  $MSG -center -title "adv770" "ERROR: gunzip -t
adv770 NOT installed"
  exit 1
fi

if ! tar xzf adv770x.tgz
then
  $MSG -center -title "adv770" "ERROR: tar xzf
adv770 NOT installed"
  exit 1
fi

mv -f adv770/ /root/my-applications/adv770/
tar -xzP --no-same-owner -f dotpup.tar.gz
rox /root/my-roxapps /root/my-roxapps/Cave/Help/readme.txt
